5.3.0-git
2014-10-24

[#10094] Support multiple mailboxes in IMAP search command
Summary Support multiple mailboxes in IMAP search command
Queue IMP
Queue Version Git master
Type Enhancement
State Accepted
Priority 2. Medium
Owners
Requester slusarz (at) horde (dot) org
Created 2011-05-18 (1255 days ago)
Due
Updated 2014-08-25 (60 days ago)
Assigned
Resolved
Milestone
Patch No

History
2014-08-25 17:55:03 Michael Slusarz Comment #5 Reply to this comment
Keep in mind though that there currently are either no or very few 
IMAP servers that actually implement this capability.
Which is why it hasn't been implemented yet.

On the other hand, no IMAP server supports UTF8 yet and 
Horde_Imap_Client does.  Always going to be a chicken/egg problem when 
first implementing protocols, so it doesn't hurt to be an early adopter.
2014-08-25 08:31:39 giel (at) fsfe (dot) org Comment #4 Reply to this comment
Accepting multiple mailboxes will allow us to leverage the power of 
RFC 6237 (MULTISEARCH).  However, this will be a API-breaking change 
in Horde_Imap_Client_Base::search() - first parameter will need to 
be changed to allow an array of mailboxes - so it will require IMP 
5.1.
Keep in mind though that there currently are either no or very few 
IMAP servers that actually implement this capability.

http://www.imapwiki.org/Specs#line-61
2011-12-06 06:31:43 Michael Slusarz Comment #3
Milestone ⇒
Reply to this comment
IMP 6. No BC breaks in a major version.
This does not need to wait for IMP 6.  Still mulling how I want to 
implement this though.  Currently, the logic in 
Horde_Imap_Client_Base#search() is very mailbox specific - primarily 
for caching reasons - so this is more difficult than just looping 
through a list of mailboxes passed to search().
2011-05-18 08:15:30 Jan Schneider Comment #2
Milestone ⇒ 6
Reply to this comment
IMP 6. No BC breaks in a major version.
2011-05-18 06:22:36 Michael Slusarz Comment #1
State ⇒ Accepted
Milestone ⇒ 5.1
Queue ⇒ IMP
Summary ⇒ Support multiple mailboxes in IMAP search command
Type ⇒ Enhancement
Priority ⇒ 2. Medium
Patch ⇒ No
Reply to this comment
Accepting multiple mailboxes will allow us to leverage the power of 
RFC 6237 (MULTISEARCH).  However, this will be a API-breaking change 
in Horde_Imap_Client_Base::search() - first parameter will need to be 
changed to allow an array of mailboxes - so it will require IMP 5.1.